## org.apache.mahout.ga.watchmaker.cd
Class CDMutation

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.CDMutation

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.EvolutionaryOperator<CDRule>

    public class CDMutation

extends Object
implements org.uncommons.watchmaker.framework.EvolutionaryOperator<CDRule>

Mutation operator.

Constructor Summary
`CDMutation(double rate, double range, int k)`

Method Summary
`List<CDRule>` `apply(List<CDRule> selectedCandidates, Random rng)`
`protected CDRule` `mutate(CDRule rule, Random rng)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDMutation

    public CDMutation(double rate,
                      double range,
                      int k)

Parameters:
  `rate` - probability of mutating a variable
  `range` - max step-size for each variable
  `k` - mutation precision See http://www.geatbx.com/docu/algindex-04.html#P659_42386 real valued mutation for more information about the parameters

Method Detail

### apply

    public List<CDRule> apply(List<CDRule> selectedCandidates,
                              Random rng)

  Specified by:
    `apply` in interface `org.uncommons.watchmaker.framework.EvolutionaryOperator<CDRule>`

### mutate

    protected CDRule mutate(CDRule rule,
                            Random rng)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.